Bug 1033603 (CVE-2013-6382)

Summary: CVE-2013-6382 Kernel: fs: xfs: missing check for ZERO_SIZE_PTR
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: pmatouse, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20131122,reported=20131120,source=distros,cvss2=6/AV:L/AC:H/Au:S/C:C/I:C/A:C,rhel-5/kernel=wontfix,rhel-6/kernel=wontfix,rhel-7/kernel=notaffected,mrg-2/realtime-kernel=wontfix,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-26 07:06:06 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 1034662, 1034663, 1034665, 1034666, 1034667, 1034668, 1034669, 1034670    
Bug Blocks: 1033602    

Description Prasad J Pandit 2013-11-22 08:20:24 EST
Linux kernel built a XFS file system support(CONFIG_XFS_FS) along with the 
Compat mode(CONFIG_COMPAT) enabled, is vulnerable to an invalid pointer 
dereference flaw. It could occur while doing a Compat ioctl call with a
XFS_IOC_ATTRLIST_BY_HANDLE command.

A privileged(CAP_SYS_ADMIN) user/program could use this flaw to either make the system dereference invalid pointer or potentially cause memory corruption.

Upstream fix:
-------------
 -> http://www.spinics.net/lists/xfs/msg23343.html

Reference:
----------
 -> http://seclists.org/oss-sec/2013/q4/330
Comment 1 Prasad J Pandit 2013-11-26 04:51:59 EST
nt
Comment 4 Prasad J Pandit 2013-11-26 05:04:56 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1034670]
Comment 5 Petr Matousek 2013-11-26 07:06:06 EST
Statement:

The Red Hat Security Response Team does not consider this issue to be a security flaw due to the full root-like privileges (CAP_SYS_ADMIN) needed for successful exploitation.
Comment 8 Fedora Update System 2013-12-04 11:51:05 EST
kernel-3.11.10-300.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-12-07 01:58:11 EST
kernel-3.11.10-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-12-10 01:16:13 EST
kernel-3.11.10-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.